Package es.imim.DISGENET.validation

# Class NetworkValidation

java.lang.Object
es.imim.DISGENET.validation.NetworkValidation

public class NetworkValidation extends Object

## Constructor Summary

Constructors
Constructor
Description
`NetworkValidation()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isExpandedWithGenes(org.cytoscape.model.CyNetwork cyNetwork)`
Checks if the variant network is already expanded.
`static boolean`
`isForeignNet(org.cytoscape.model.CyNetwork cyNetwork)`
Checks if the current network is original DISGENET network or not.
`static boolean`
`isProjectionNet(org.cytoscape.model.CyNetwork cyNetwork, String interaction)`
`static boolean`
`isVariantNet(org.cytoscape.model.CyNetwork cyNetwork)`
Checks if the current network is a variant-disease network.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetworkValidation

public NetworkValidation()

## Method Details

### isVariantNet

public static boolean isVariantNet(org.cytoscape.model.CyNetwork cyNetwork)
Checks if the current network is a variant-disease network.

Parameters:
  `cyNetwork` - the network to check.
Returns:
  true in case the network is a variant network or false in case there's no network or isn't a variant.

### isProjectionNet

public static boolean isProjectionNet(org.cytoscape.model.CyNetwork cyNetwork, String interaction)

### isExpandedWithGenes

public static boolean isExpandedWithGenes(org.cytoscape.model.CyNetwork cyNetwork)
Checks if the variant network is already expanded.

Parameters:
  `cyNetwork` - the network to check.
Returns:
  true in case the variant network us already expanded false in case not.

### isForeignNet

public static boolean isForeignNet(org.cytoscape.model.CyNetwork cyNetwork)
Checks if the current network is original DISGENET network or not.

Parameters:
  `cyNetwork` - the network to check the origin.
Returns:
  true in case the network was formed in disgenet or false in case not.